Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010388Dwarf FortressDwarf Mode -- Invasionspublic2017-11-29 15:142018-01-03 22:52
ReporterArmokGoB 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformWindowsOSWindows 10OS Version10.0.14393
Product Version0.44.02 
Target VersionFixed in Version0.44.04 
Summary0010388: HFS/FB/SMB/MB do not path to fortress
DescriptionI popped open a candy vein. The HFS spawned, took a huge bite out of my FPS, but didn't try to invade. I built some floors over the opening and now they're just sitting down there.
Steps To Reproduce1. Open a candy vein
2. Watch as your FPS dies but your fortress doesn't
Additional InformationFile link: http://dffd.bay12games.com/file.php?id=13248 [^]

Save from Kvall 0010389 regarding MB/SMB/FBs:
http://dffd.bay12games.com/file.php?id=13250 [^]

Save from Melmarkian from 0010465 (when FB just arrived in the first cavern layer):
http://dffd.bay12games.com/file.php?id=13335 [^]
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0010389resolvedDwarfu Megabeasts Do Not Path to Forts 
has duplicate 0010407resolvedDwarfu FBs do not path 
has duplicate 0010465resolvedDetros Big Creatures (Giant, Cyclops, Forgotten Beasts) just idle at the edge of the map 
has duplicate 0010483resolvedLoci HSF, FB, and Invaders to Not Path to Fort 

-  Notes
(0037113)
ArmokGoB (reporter)
2017-11-29 15:18

I forgot to mention it in the report, but I also had two FBs show up and neither pathed to my fort.
(0037115)
Kvall (reporter)
2017-11-29 16:28

Can confirm this, just opened my own report about the MBs/FBs not pathing either. I hadn't gotten far enough to test the HFS but it looks like anything big that isn't strictly an [INVADER] gets lobotomized.
(0037451)
Agent Wowza (reporter)
2017-12-31 02:41

Confirmed initial clown party not flying up the vein, but gathering at the bottom. They are still hostile towards dwarfs which fall into HFS, but do not path to the surface.
(0037492)
Toady One (administrator)
2018-01-03 22:52

Okay, same problem (related to quester code) was causing all three -- fixed the two FB saves and the demon save for next time.

- Issue History
Date Modified Username Field Change
2017-11-29 15:14 ArmokGoB New Issue
2017-11-29 15:18 ArmokGoB Note Added: 0037113
2017-11-29 16:28 Kvall Note Added: 0037115
2017-11-29 17:24 Dwarfu Relationship added has duplicate 0010389
2017-11-29 17:25 Dwarfu Summary HFS doesn't invade => HFS/FB/SMB/MB do not path to fortress
2017-11-29 17:25 Dwarfu Additional Information Updated View Revisions
2017-11-29 17:26 Dwarfu Assigned To => Dwarfu
2017-11-29 17:26 Dwarfu Status new => confirmed
2017-12-02 11:09 Dwarfu Relationship added has duplicate 0010407
2017-12-22 10:20 Detros Relationship added has duplicate 0010465
2017-12-22 10:22 Detros Additional Information Updated View Revisions
2017-12-25 16:26 ArmokGoB Note Added: 0037402
2017-12-25 18:14 Loci Note Deleted: 0037402
2017-12-29 10:20 4maskwolf Issue Monitored: 4maskwolf
2017-12-30 15:10 Loci Relationship added has duplicate 0010483
2017-12-31 02:41 Agent Wowza Note Added: 0037451
2018-01-03 22:52 Toady One Note Added: 0037492
2018-01-03 22:52 Toady One Status confirmed => resolved
2018-01-03 22:52 Toady One Fixed in Version => Next Version
2018-01-03 22:52 Toady One Resolution open => fixed
2018-01-03 22:52 Toady One Assigned To Dwarfu => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker